| OpenCV 4.3.0 Open Source Computer Vision

Classes | Functions
Image segmentation
Extended Image Processing

## Classes
class | cv::ximgproc::segmentation::GraphSegmentation
| Graph Based Segmentation Algorithm. The class implements the algorithm described in [68] . More...
class | cv::ximgproc::segmentation::SelectiveSearchSegmentation
| Selective search segmentation algorithm The class implements the algorithm described in [238]. More...
class | cv::ximgproc::segmentation::SelectiveSearchSegmentationStrategy
| Strategie for the selective search segmentation algorithm The class implements a generic stragery for the algorithm described in [238]. More...
class | cv::ximgproc::segmentation::SelectiveSearchSegmentationStrategyColor
| Color-based strategy for the selective search segmentation algorithm The class is implemented from the algorithm described in [238]. More...
class | cv::ximgproc::segmentation::SelectiveSearchSegmentationStrategyFill
| Fill-based strategy for the selective search segmentation algorithm The class is implemented from the algorithm described in [238]. More...
class | cv::ximgproc::segmentation::SelectiveSearchSegmentationStrategyMultiple
| Regroup multiple strategies for the selective search segmentation algorithm. More...
class | cv::ximgproc::segmentation::SelectiveSearchSegmentationStrategySize
| Size-based strategy for the selective search segmentation algorithm The class is implemented from the algorithm described in [238]. More...
class | cv::ximgproc::segmentation::SelectiveSearchSegmentationStrategyTexture
| Texture-based strategy for the selective search segmentation algorithm The class is implemented from the algorithm described in [238]. More...

## Functions
Ptr< GraphSegmentation > | cv::ximgproc::segmentation::createGraphSegmentation (double sigma=0.5, float k=300, int min_size=100)
| Creates a graph based segmentor. More...
Ptr< SelectiveSearchSegmentation > | cv::ximgproc::segmentation::createSelectiveSearchSegmentation ()
| Create a new SelectiveSearchSegmentation class. More...
Ptr< SelectiveSearchSegmentationStrategyColor > | cv::ximgproc::segmentation::createSelectiveSearchSegmentationStrategyColor ()
| Create a new color-based strategy. More...
Ptr< SelectiveSearchSegmentationStrategyFill > | cv::ximgproc::segmentation::createSelectiveSearchSegmentationStrategyFill ()
| Create a new fill-based strategy. More...
Ptr< SelectiveSearchSegmentationStrategyMultiple > | cv::ximgproc::segmentation::createSelectiveSearchSegmentationStrategyMultiple ()
| Create a new multiple strategy. More...
Ptr< SelectiveSearchSegmentationStrategyMultiple > | cv::ximgproc::segmentation::createSelectiveSearchSegmentationStrategyMultiple (Ptr< SelectiveSearchSegmentationStrategy > s1)
| Create a new multiple strategy and set one subtrategy. More...
Ptr< SelectiveSearchSegmentationStrategyMultiple > | cv::ximgproc::segmentation::createSelectiveSearchSegmentationStrategyMultiple (Ptr< SelectiveSearchSegmentationStrategy > s1, Ptr< SelectiveSearchSegmentationStrategy > s2)
| Create a new multiple strategy and set two subtrategies, with equal weights. More...
Ptr< SelectiveSearchSegmentationStrategyMultiple > | cv::ximgproc::segmentation::createSelectiveSearchSegmentationStrategyMultiple (Ptr< SelectiveSearchSegmentationStrategy > s1, Ptr< SelectiveSearchSegmentationStrategy > s2, Ptr< SelectiveSearchSegmentationStrategy > s3)
| Create a new multiple strategy and set three subtrategies, with equal weights. More...
Ptr< SelectiveSearchSegmentationStrategyMultiple > | cv::ximgproc::segmentation::createSelectiveSearchSegmentationStrategyMultiple (Ptr< SelectiveSearchSegmentationStrategy > s1, Ptr< SelectiveSearchSegmentationStrategy > s2, Ptr< SelectiveSearchSegmentationStrategy > s3, Ptr< SelectiveSearchSegmentationStrategy > s4)
| Create a new multiple strategy and set four subtrategies, with equal weights. More...
Ptr< SelectiveSearchSegmentationStrategySize > | cv::ximgproc::segmentation::createSelectiveSearchSegmentationStrategySize ()
| Create a new size-based strategy. More...
Ptr< SelectiveSearchSegmentationStrategyTexture > | cv::ximgproc::segmentation::createSelectiveSearchSegmentationStrategyTexture ()
| Create a new size-based strategy. More...

## Detailed Description

## Function Documentation

## ◆ createGraphSegmentation()

Ptr<GraphSegmentation> cv::ximgproc::segmentation::createGraphSegmentation | ( | double | sigma = `0.5`,
|  | float | k = `300`,
|  | int | min_size = `100`
| ) |  |

Python:
| retval | = | cv.ximgproc.segmentation.createGraphSegmentation( | [, sigma[, k[, min_size]]] | )

`#include <opencv2/ximgproc/segmentation.hpp>`

Creates a graph based segmentor.

Parameters

  sigma | The sigma parameter, used to smooth image
  k | The k parameter of the algorythm
  min_size | The minimum size of segments

## ◆ createSelectiveSearchSegmentation()

Ptr<SelectiveSearchSegmentation> cv::ximgproc::segmentation::createSelectiveSearchSegmentation | ( |  | ) |

Python:
| retval | = | cv.ximgproc.segmentation.createSelectiveSearchSegmentation( |  | )

`#include <opencv2/ximgproc/segmentation.hpp>`

Create a new SelectiveSearchSegmentation class.

## ◆ createSelectiveSearchSegmentationStrategyColor()

Ptr<SelectiveSearchSegmentationStrategyColor> cv::ximgproc::segmentation::createSelectiveSearchSegmentationStrategyColor | ( |  | ) |

Python:
| retval | = | cv.ximgproc.segmentation.createSelectiveSearchSegmentationStrategyColor( |  | )

`#include <opencv2/ximgproc/segmentation.hpp>`

Create a new color-based strategy.

## ◆ createSelectiveSearchSegmentationStrategyFill()

Ptr<SelectiveSearchSegmentationStrategyFill> cv::ximgproc::segmentation::createSelectiveSearchSegmentationStrategyFill | ( |  | ) |

Python:
| retval | = | cv.ximgproc.segmentation.createSelectiveSearchSegmentationStrategyFill( |  | )

`#include <opencv2/ximgproc/segmentation.hpp>`

Create a new fill-based strategy.

## ◆ createSelectiveSearchSegmentationStrategyMultiple() [1/5]

Ptr<SelectiveSearchSegmentationStrategyMultiple> cv::ximgproc::segmentation::createSelectiveSearchSegmentationStrategyMultiple | ( |  | ) |

Python:
| retval | = | cv.ximgproc.segmentation.createSelectiveSearchSegmentationStrategyMultiple( |  | )
| retval | = | cv.ximgproc.segmentation.createSelectiveSearchSegmentationStrategyMultiple( | s1 | )
| retval | = | cv.ximgproc.segmentation.createSelectiveSearchSegmentationStrategyMultiple( | s1, s2 | )
| retval | = | cv.ximgproc.segmentation.createSelectiveSearchSegmentationStrategyMultiple( | s1, s2, s3 | )
| retval | = | cv.ximgproc.segmentation.createSelectiveSearchSegmentationStrategyMultiple( | s1, s2, s3, s4 | )

`#include <opencv2/ximgproc/segmentation.hpp>`

Create a new multiple strategy.

## ◆ createSelectiveSearchSegmentationStrategyMultiple() [2/5]

Ptr<SelectiveSearchSegmentationStrategyMultiple> cv::ximgproc::segmentation::createSelectiveSearchSegmentationStrategyMultiple | ( | Ptr< SelectiveSearchSegmentationStrategy > | s1 | ) |

Python:
| retval | = | cv.ximgproc.segmentation.createSelectiveSearchSegmentationStrategyMultiple( |  | )
| retval | = | cv.ximgproc.segmentation.createSelectiveSearchSegmentationStrategyMultiple( | s1 | )
| retval | = | cv.ximgproc.segmentation.createSelectiveSearchSegmentationStrategyMultiple( | s1, s2 | )
| retval | = | cv.ximgproc.segmentation.createSelectiveSearchSegmentationStrategyMultiple( | s1, s2, s3 | )
| retval | = | cv.ximgproc.segmentation.createSelectiveSearchSegmentationStrategyMultiple( | s1, s2, s3, s4 | )

`#include <opencv2/ximgproc/segmentation.hpp>`

Create a new multiple strategy and set one subtrategy.

Parameters

  s1 | The first strategy

## ◆ createSelectiveSearchSegmentationStrategyMultiple() [3/5]

Ptr<SelectiveSearchSegmentationStrategyMultiple> cv::ximgproc::segmentation::createSelectiveSearchSegmentationStrategyMultiple | ( | Ptr< SelectiveSearchSegmentationStrategy > | s1,
|  | Ptr< SelectiveSearchSegmentationStrategy > | s2
| ) |  |

Python:
| retval | = | cv.ximgproc.segmentation.createSelectiveSearchSegmentationStrategyMultiple( |  | )
| retval | = | cv.ximgproc.segmentation.createSelectiveSearchSegmentationStrategyMultiple( | s1 | )
| retval | = | cv.ximgproc.segmentation.createSelectiveSearchSegmentationStrategyMultiple( | s1, s2 | )
| retval | = | cv.ximgproc.segmentation.createSelectiveSearchSegmentationStrategyMultiple( | s1, s2, s3 | )
| retval | = | cv.ximgproc.segmentation.createSelectiveSearchSegmentationStrategyMultiple( | s1, s2, s3, s4 | )

`#include <opencv2/ximgproc/segmentation.hpp>`

Create a new multiple strategy and set two subtrategies, with equal weights.

Parameters

  s1 | The first strategy
  s2 | The second strategy

## ◆ createSelectiveSearchSegmentationStrategyMultiple() [4/5]

Ptr<SelectiveSearchSegmentationStrategyMultiple> cv::ximgproc::segmentation::createSelectiveSearchSegmentationStrategyMultiple | ( | Ptr< SelectiveSearchSegmentationStrategy > | s1,
|  | Ptr< SelectiveSearchSegmentationStrategy > | s2,
|  | Ptr< SelectiveSearchSegmentationStrategy > | s3
| ) |  |

Python:
| retval | = | cv.ximgproc.segmentation.createSelectiveSearchSegmentationStrategyMultiple( |  | )
| retval | = | cv.ximgproc.segmentation.createSelectiveSearchSegmentationStrategyMultiple( | s1 | )
| retval | = | cv.ximgproc.segmentation.createSelectiveSearchSegmentationStrategyMultiple( | s1, s2 | )
| retval | = | cv.ximgproc.segmentation.createSelectiveSearchSegmentationStrategyMultiple( | s1, s2, s3 | )
| retval | = | cv.ximgproc.segmentation.createSelectiveSearchSegmentationStrategyMultiple( | s1, s2, s3, s4 | )

`#include <opencv2/ximgproc/segmentation.hpp>`

Create a new multiple strategy and set three subtrategies, with equal weights.

Parameters

  s1 | The first strategy
  s2 | The second strategy
  s3 | The third strategy

## ◆ createSelectiveSearchSegmentationStrategyMultiple() [5/5]

Ptr<SelectiveSearchSegmentationStrategyMultiple> cv::ximgproc::segmentation::createSelectiveSearchSegmentationStrategyMultiple | ( | Ptr< SelectiveSearchSegmentationStrategy > | s1,
|  | Ptr< SelectiveSearchSegmentationStrategy > | s2,
|  | Ptr< SelectiveSearchSegmentationStrategy > | s3,
|  | Ptr< SelectiveSearchSegmentationStrategy > | s4
| ) |  |

Python:
| retval | = | cv.ximgproc.segmentation.createSelectiveSearchSegmentationStrategyMultiple( |  | )
| retval | = | cv.ximgproc.segmentation.createSelectiveSearchSegmentationStrategyMultiple( | s1 | )
| retval | = | cv.ximgproc.segmentation.createSelectiveSearchSegmentationStrategyMultiple( | s1, s2 | )
| retval | = | cv.ximgproc.segmentation.createSelectiveSearchSegmentationStrategyMultiple( | s1, s2, s3 | )
| retval | = | cv.ximgproc.segmentation.createSelectiveSearchSegmentationStrategyMultiple( | s1, s2, s3, s4 | )

`#include <opencv2/ximgproc/segmentation.hpp>`

Create a new multiple strategy and set four subtrategies, with equal weights.

Parameters

  s1 | The first strategy
  s2 | The second strategy
  s3 | The third strategy
  s4 | The forth strategy

## ◆ createSelectiveSearchSegmentationStrategySize()

Ptr<SelectiveSearchSegmentationStrategySize> cv::ximgproc::segmentation::createSelectiveSearchSegmentationStrategySize | ( |  | ) |

Python:
| retval | = | cv.ximgproc.segmentation.createSelectiveSearchSegmentationStrategySize( |  | )

`#include <opencv2/ximgproc/segmentation.hpp>`

Create a new size-based strategy.

## ◆ createSelectiveSearchSegmentationStrategyTexture()

Ptr<SelectiveSearchSegmentationStrategyTexture> cv::ximgproc::segmentation::createSelectiveSearchSegmentationStrategyTexture | ( |  | ) |

Python:
| retval | = | cv.ximgproc.segmentation.createSelectiveSearchSegmentationStrategyTexture( |  | )

`#include <opencv2/ximgproc/segmentation.hpp>`

Create a new size-based strategy.